import Login from '../../../app/src/page/Login/index.js'
import UserInformation from '../../../app/src/page/user/information'
import UserPreview from '../../../app/src/page/user/preview'

const ReactDOMServer = require('react-dom/server')

module.exports.pageRouter = function (router) {
  router.get('/', async (ctx, next) => {
    await next()
    await ctx.render('index', {
      content: ReactDOMServer.renderToNodeStream(Login)
    })
  })

  router.get('/login', async (ctx, next) => {
    await next()
    await ctx.render('index', {
      content: ReactDOMServer.renderToNodeStream(Login)
    })
  })

  router.get('/user/information', async (ctx, next) => {
    await next()
    await ctx.render('index', {
      content: ReactDOMServer.renderToNodeStream(UserInformation)
    })
  })

  router.get('/user/preview/:id', async (ctx, next) => {
    await next()
    await ctx.render('index', {
      content: ReactDOMServer.renderToNodeStream(UserPreview)
    })
  })
}
